/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.scheduling;

/**
 * General contract for a scheduled process.
 * 
 * Created Jan 25, 2006 4:32:28 PM
 * @author DNS   BOHMEG
 */
public interface ScheduledProcess extends AuditableScheduledProcess {
	public void invoke(ScheduledProcessInvocationContext context) throws Exception ;
	public void invoke() throws Exception ;
	public void interrupt();
}
